// game.js for Perlenspiel 3.1

// The following comment lines are for JSLint. Don't remove them!

/*jslint nomen: true, white: true */
/*global PS */

// there is so much text in this game omg this is painful. 

var game = {
	AP: 0,
	totalDefense: 0,
	counter: 0,
	timer: 15,

	level: 0,
	stage: 0,

	x: 25,
	y: 21,

	running: false,
}
var text = {
	color: PS.COLOR_BLACK,
}
var colors = {
	buttons: 0x6e9e61,
	uiborder: 0x506486,
	uibackground: 0x91A6C9,
	textbckgrnd: 0xcac770,
}


var rider = {
	count: 0,
	cost: 1,
}

var dragon = {
	count: 0,
	cost: 1,
}

var wall = {
	count: 0,
	cost: 1,

}
var gameUpdate;


function stages(){
	if(game.level == 0 && game.stage == 0)
	{
		titleScreen();
		titleScreenText();		
	}
	else if(game.stage == 1 && game.level == 0)
		{
			game.AP = 10;
			stage0_1();
		}
	else if(game.stage == 2 && game.level == 0)
		{
			stage0_2();
		}

	else if(game.stage == 1 && game.level == 1){
			stage1_1();
		}
	else if(game.stage == 2 && game.level == 1){
			stage1_2();
		}
	else if(game.stage == 3 && game.level == 1){
			stage1_3();
		}
	else if(game.stage == 4 && game.level == 1){
			stage1_4();
		}
	else if(game.stage == 5 && game.level == 1){
			stage1_5();
		}
	else if(game.stage == 6 && game.level == 1){
			stage1End();
		}


	else if(game.stage == 7 && game.level == 2){
		game.AP += 10;
		stage2_1();
	}
	else if(game.stage == 8 && game.level == 2){
		stage2_2();
	}
	else if(game.stage == 9 && game.level == 2){
		stage2_3();
	}
	else if(game.stage == 10 && game.level == 2){
		stage2_4();
	}
	else if(game.stage == 11 && game.level == 2){
		stage2_5();
	}
	else if(game.stage == 12 && game.level == 2){
		stage2_6();
	}
	else if(game.stage == 13 && game.level == 2){
		level2End();
	}
	
}


function drawBoard(){
	Erase(PS.ALL,PS.ALL);
	game.x = 25;
	game.y = 21;

	PS.gridSize(game.x, game.y);
	PS.border(PS.ALL,PS.ALL,0);
	gameUpdate = PS.timerStart(game.timer, gameTimerUpdate);
	PS.applyRect(0,0,24,5,PS.color,colors.uibackground);
	PS.applyRect(0,6,25,11, PS.color, colors.textbckgrnd);
	PS.statusText("Keep Siege, by Alexis Barta");
	placeUI();

}
function gameWin(){
	PS.statusText("You defeated the enemy!")
}
function testtext(){
	}

function level2End(){
	var units;
	drawBoard();
	// endings with only one unit choosen
	if(wall.count >= 15){
	PrintText(1,7, stage2EndWalls1);
	PrintText(1,8, stage2EndWalls2);
	PrintText(1,9, stage2EndWalls3);
	PrintText(1,10, stage2EndWalls4);
	PrintText(1,11, stage2EndWalls5);
	PrintText(1,12, stage2EndWalls6);
	gameWin();
	PS.audioPlay("fx_tada");

	PrintText(10,16,restart);
		
	}
	else if(dragon.count >= 15){
	PrintText(1,7,stage2Enddragon1);
	PrintText(1,8,stage2Enddragon2);
	PrintText(1,9,stage2Enddragon3);
	PrintText(1,10,stage2Enddragon4);
	PrintText(1,11,stage2Enddragon5);
	gameWin();
	PS.audioPlay("fx_tada");

	PrintText(10,16,restart);


	}
	else if(rider.count >= 15){
	PrintText(1,7,stage2endrider1);
	PrintText(1,8,stage2endrider2);
	PrintText(1,9,stage2endrider3);
	PrintText(1,10,stage2endrider4);
	PrintText(1,11,stage2endrider5);
	gameWin();
	PS.audioPlay("fx_tada");

	PrintText(10,16,restart);

	

	}
	else if(dragon.count == 0 && wall.count == 0 && rider.count == 0){
		PrintText(1,7,stage1EndNothing1);
		PrintText(1,8,stage1EndNothing2);
		PrintText(1,9,stage1EndNothing3);
		PrintText(1,10,stage1EndNothing4);
		PrintText(1,11,stage1EndNothing5);
		PrintText(1,12,stage1EndNothing6);
		PrintText(1,13,stage1EndNothing7);
		gameOver();
		PS.audioPlay("fx_wilhelm");

		PrintText(10,16,restart);

	}
	else{
		PrintText(1,7,stage2endelse1);
		PrintText(1,8,stage2endelse2);
		PrintText(1,9,stage2endelse3);
		PrintText(1,10,stage2endelse4);
		PrintText(1,11,stage2endelse5);
		PrintText(1,12,stage2endelse6);
		PrintText(1,13,stage2endelse7);
		PrintText(1,14,stage2endelse8);
		gameOver();
		PS.audioPlay("fx_wilhelm");

		PrintText(10,16,restart);
	}
}

function gameTimerUpdate(){
	if(game.running == true)
		{
			APDisplay(2,3);
			wallDisplay(20,2);
			riderDisplay(14,2);
			dragonDisplay(8,2);
			nonZeros();

			if(game.stage == 2 && game.level == 0){
				APpointgateLv();
			}
			if(game.stage == 7 && game.level == 2){
				APpointgateSt();
			}
		}		
	
}
function nonZeros(){
	if(dragon.count < 0){
		dragon.count = 0;
	}
	if(wall.count < 0){
		wall.count = 0;
	}
	if(rider.count < 0){
		rider.count = 0;
	}
}
function gameOver(){
	PS.statusText("You were over taken...");
}

var selectionarrow = {
	message: "►",
}

var restart = {
	message: "Restart",
	data: "restart",
}
function stageContinue(){
	game.stage += 1;
	stages();
	//PS.debug("Stage: " + game.stage + " | Level: " + game.level + "\n");
}

function levelContinue(){
	game.level += 1;
	game.stage += 1;
	stages();
	//PS.debug("Stage: " + game.stage + " | Level: " + game.level + "\n");
}

function Erase(x, y) {
	PS.color(x, y, PS.DEFAULT);
	PS.glyphColor(x, y, PS.DEFAULT);
	PS.glyph(x,y, "");
	PS.data(x, y, 0);
}



PS.init = function( system, options ) {
	"use strict";

	// Use PS.gridSize( x, y ) to set the grid to
	// the initial dimensions you want (32 x 32 maximum)
	// Do this FIRST to avoid problems!
	// Otherwise you will get the default 8x8 gridSize
	stages();
	//drawBoard();

	PS.audioLoad("fx_wilhelm");
	PS.audioLoad("fx_bloop");
	PS.audioLoad("fx_boop");
	PS.audioLoad("fx_tada");


	// Add any other initialization code you need here
};


PS.touch = function( x, y, data, options ) {
	"use strict";


	// Uncomment the following line to inspect parameters
	//PS.debug( "( " + x + " , " + y + ")\n" );

	// Add code here for mouse clicks/touches over a bead
	if(game.AP > 0)
	{
		if( data == "dragon"){
			game.AP -= dragon.cost;
			dragon.count += 1;

			PS.audioPlay("fx_boop");

			//PS.debug("+1 Dragons: " + dragon.count + "\n");
		}
		if( data == "rider"){
			game.AP -= rider.cost;
			rider.count +=1;
			PS.audioPlay("fx_boop");

			//PS.debug("+1 Rider: " + rider.count + "\n");
		}
		if( data == "wall"){
			game.AP -= wall.cost;
			wall.count +=1;
			PS.audioPlay("fx_boop");

			//PS.debug("+1 Wall: " + wall.count + "\n");

		}
	}
	if(data == "leveladvance"){
		levelContinue();
		PS.audioPlay("fx_bloop");
	}
	if(data == "stageadvance"){
		stageContinue();
		PS.audioPlay("fx_bloop");
	}
	if(data == "startgame"){
		game.running = true;
		game.stage += 1;
		stages();
		game.AP = 10;
		PS.audioPlay("fx_bloop");
	}
	if(data == "tutorial"){
		tutorialText();
		PS.audioPlay("fx_bloop");
	}

	if(data == "restart"){
		Erase(PS.ALL,PS.ALL);
		game.running = false;
		game.level = 0;
		game.stage = 0;
		dragon.count = 0;
		rider.count = 0;
		wall.count = 0;
		game.AP = 0;
		stages();
		PS.audioPlay("fx_bloop");
	}


	if(data == "submit"){
		drawBoard();
		PrintText(1,7,riderRiotSub1);
		PrintText(1,8,riderRiotSub2);
		PrintText(1,9,riderRiotSub3);
		PrintText(1,10,riderRiotSub4);
		PrintText(10,16,stageAdvance);
		PS.audioPlay("fx_bloop");
	}
	if(data == "fightoff"){
		drawBoard();
		dragon.count -= 3;
		rider.count -= 3;
		PrintText(1,7,riderRiotFight1);
		PrintText(1,8,riderRiotFight2);
		PrintText(1,9,riderRiotFight3);
		PrintText(10,16,stageAdvance);
		PS.audioPlay("fx_bloop");
	}

	if(data == "stormFortify"){
		drawBoard();
		PrintText(1,7,stormForitfy1);
		PrintText(1,8,stormForitfy2);
		PrintText(1,9,stormForitfy3);
		PrintText(1,11,stormForitfy4);
		PrintText(10,16,stageAdvance);
		PS.audioPlay("fx_bloop");
	}
	if(data == "stormCower"){
		drawBoard();
		wall.count -= 2;
		PrintText(1,7,stormCower1);
		PrintText(1,8,stormCower2);
		PrintText(1,9,stormCower3);
		PrintText(1,11,stormCower4);
		PrintText(10,16,stageAdvance);
		PS.audioPlay("fx_bloop");
	}
	if(data == "diseasesFindCause"){
		drawBoard();
		PrintText(1,7,DiseaseCause1);
		PrintText(1,8,DiseaseCause2);
		PrintText(1,9,DiseaseCause3);
		PrintText(1,11,DiseaseCause4);
		PrintText(1,12,DiseaseCause5);
		PrintText(10,16,stageAdvance);
		PS.audioPlay("fx_bloop");
	}
	if(data == "diseasesIgnore"){
		drawBoard();
		rider.count -= 3;
		PrintText(1,7,diseasesIgnore1);
		PrintText(1,8,diseasesIgnore2);
		PrintText(1,10,diseasesIgnore3);
		PrintText(1,11,diseasesIgnore4);
		PrintText(1,13,diseasesIgnore5);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
	if(data == "dragonRiotsCalm"){
		drawBoard();
		wall.count -= 1;
		PrintText(1,7,dragonRiotsCalm1);
		PrintText(1,8,dragonRiotsCalm2);
		PrintText(1,9,dragonRiotsCalm3);
		PrintText(1,11,dragonRiotsCalm4);
		PrintText(1,12,dragonRiotsCalm5);
		PrintText(1,13,dragonRiotsCalm6);
		PrintText(1,15,dragonRiotsCalm7);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
	if(data == "dragonRiotsWait"){
		drawBoard();
		dragon.count -=3;
		PrintText(1,7,dragonRiotsWait1);
		PrintText(1,8,dragonRiotsWait2);
		PrintText(1,9,dragonRiotsWait3);
		PrintText(1,11,dragonRiotsWait4);
		PrintText(1,12,dragonRiotsWait5);
		PrintText(1,13,dragonRiotsWait6);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
	if(data == "assassinCluesNow"){
		drawBoard();
		rider.count -= 1;
		PrintText(1,7, assassinCluesNow1);
		PrintText(1,8, assassinCluesNow2);
		PrintText(1,9, assassinCluesNow3);
		PrintText(1,10, assassinCluesNow4);
		PrintText(1,12, assassinCluesNow5);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
	if(data == "assassinCluesLater")
	{
		drawBoard();
		rider.count -= 3;
		PrintText(1,7,assassinCluesLater1);
		PrintText(1,8,assassinCluesLater2);
		PrintText(1,9,assassinCluesLater3);
		PrintText(1,10,assassinCluesLater4);
		PrintText(1,12,assassinCluesLater5);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
	if(data == "riderRecruitYes")
	{
		drawBoard();
		rider.count += 3;
		PrintText(1,7,riderRecruitYes1);
		PrintText(1,8,riderRecruitYes2);
		PrintText(1,9,riderRecruitYes3);
		PrintText(1,11,riderRecruitYes4);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
	if(data == "riderRecruitNo")
	{
		drawBoard();
		PrintText(1,7,riderRecruitNo1);
		PrintText(1,8,riderRecruitNo2);
		PrintText(1,9,riderRecruitNo3);
		PrintText(1,10,riderRecruitNo4);
		PrintText(1,12,riderRecruitNo5);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}

	if(data == "dragonHatchImpress"){
		drawBoard();
		dragon.count += 3;
		PrintText(1,7, dragonHatchImpress1);
		PrintText(1,8, dragonHatchImpress2);
		PrintText(1,10, dragonHatchImpress3);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
	if(data == "dragonHatchRun"){
		drawBoard();

		PrintText(1,7,dragonHatchRun1);
		PrintText(1,8,dragonHatchRun2);
		PrintText(1,9,dragonHatchRun3);
		PrintText(1,10,dragonHatchRun4);
		PrintText(1,12,dragonHatchRun5);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
	if(data == "EnginneersBuild"){
		drawBoard();
		wall.count += 3;
		PrintText(1,7, EnginneersBuild1);
		PrintText(1,8, EnginneersBuild2);
		PrintText(1,9, EnginneersBuild3);
		PrintText(1,11, EnginneersBuild4);
		PS.audioPlay("fx_bloop");	

		PrintText(10,16,stageAdvance);
	}
	if(data == "EnginneersNo"){
		drawBoard();

		PrintText(1,7,EnginneersNo1);
		PrintText(1,8,EnginneersNo2);
		PrintText(1,9,EnginneersNo3);
		PrintText(1,11,EnginneersNo4);
		PrintText(1,12,EnginneersNo5);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
	if(data == "properDefRiders"){
		drawBoard();
		rider.count += 3;
		PrintText(1,7,properDefRiders1);
		PrintText(1,8,properDefRiders2);
		PrintText(1,9,properDefRiders3);
		PrintText(1,11,properDefRiders4);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
	if(data == "properDefWalls"){
		drawBoard();
		wall.count += 3;
		PrintText(1,7,properDefWalls1);
		PrintText(1,8,properDefWalls2);
		PrintText(1,9,properDefWalls3);
		PrintText(1,10,properDefWalls4);
		PrintText(1,12,properDefWalls5);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
	if(data == "Thankgods"){
		drawBoard();
		wall.count += 1;
		rider.count += 1;
		dragon.count += 1;

		PrintText(1,7,Thankgods1);
		PrintText(1,8,Thankgods2);
		PrintText(1,9,Thankgods3);
		PrintText(1,10,Thankgods4);
		PrintText(1,12,Thankgods5);
		PrintText(1,13,Thankgods6);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
	if(data == "Laughgods"){
		drawBoard();

		PrintText(1,8,Laughgods2);
		PrintText(1,9,Laughgods3);
		PrintText(1,10,Laughgods4);
		PrintText(1,12,Laughgods5);
		PS.audioPlay("fx_bloop");

		PrintText(10,16,stageAdvance);
	}
};


PS.release = function( x, y, data, options ) {
	"use strict";

	// Uncomment the following line to inspect parameters
	// PS.debug( "PS.release() @ " + x + ", " + y + "\n" );

	// Add code here for when the mouse button/touch is released over a bead
};



PS.enter = function( x, y, data, options ) {
	"use strict";

	// Uncomment the following line to inspect parameters
	// PS.debug( "PS.enter() @ " + x + ", " + y + "\n" );

	// Add code here for when the mouse cursor/touch enters a bead
	if (data == "dragon"){
		PS.applyRect(1,18, 7,2, PS.alpha, 100);
	}
	if (data == "rider")
	{
		PS.applyRect(9,18, 7,2, PS.alpha, 100);

	}
	if( data == "wall"){
		PS.applyRect(17,18, 7,2, PS.alpha, 100);

	}
	if(data== "stageadvance"){
		PS.glyph(9,16,"►");
		PS.glyphColor(9,16,PS.COLOR_BLACK);	
	}
	if(data== "leveladvance"){
		PS.glyph(9,16,"►");
		PS.glyphColor(9,16,PS.COLOR_BLACK);	
	}
	if(data== "restart"){
		PS.glyph(9,16,"►");
		PS.glyphColor(9,16,PS.COLOR_BLACK);	
	}
	if(data== "submit"){
		PS.glyph(0,15,"►");
		PS.glyphColor(0,15,PS.COLOR_BLACK);	
	}
	if(data== "fightoff"){
		PS.glyph(0,16,"►");
		PS.glyphColor(0,16,PS.COLOR_BLACK);	
	}
	if(data== "stormFortify"){
		PS.glyph(0,15,"►");
		PS.glyphColor(0,15,PS.COLOR_BLACK);	
	}
	if(data== "stormCower"){
		PS.glyph(0,16,"►");
		PS.glyphColor(0,16,PS.COLOR_BLACK);	
	}
	if(data== "diseasesFindCause"){
		PS.glyph(0,15,"►");
		PS.glyphColor(0,15,PS.COLOR_BLACK);	
	}
	if(data== "diseasesIgnore"){
		PS.glyph(0,16,"►");
		PS.glyphColor(0,16,PS.COLOR_BLACK);	
	}
	if(data== "dragonRiotsCalm"){
		PS.glyph(0,15,"►");
		PS.glyphColor(0,15,PS.COLOR_BLACK);	
	}
	if(data== "dragonRiotsWait"){
		PS.glyph(0,16,"►");
		PS.glyphColor(0,16,PS.COLOR_BLACK);	
	}
	if(data== "assassinCluesNow"){
		PS.glyph(0,15,"►");
		PS.glyphColor(0,15,PS.COLOR_BLACK);	
	}
	if(data== "assassinCluesLater"){
		PS.glyph(0,16,"►");
		PS.glyphColor(0,16,PS.COLOR_BLACK);	
	}
	if(data== "riderRecruitYes"){
		PS.glyph(0,15,"►");
		PS.glyphColor(0,15,PS.COLOR_BLACK);	
	}
	if(data== "riderRecruitNo"){
		PS.glyph(0,16,"►");
		PS.glyphColor(0,16,PS.COLOR_BLACK);	
	}
	if(data== "dragonHatchImpress"){
		PS.glyph(0,15,"►");
		PS.glyphColor(0,15,PS.COLOR_BLACK);	
	}
	if(data== "dragonHatchRun"){
		PS.glyph(0,16,"►");
		PS.glyphColor(0,16,PS.COLOR_BLACK);	
	}
	if(data== "EnginneersBuild"){
		PS.glyph(0,15,"►");
		PS.glyphColor(0,15,PS.COLOR_BLACK);	
	}
	if(data== "EnginneersNo"){
		PS.glyph(0,16,"►");
		PS.glyphColor(0,16,PS.COLOR_BLACK);	
	}
	if(data== "properDefRiders"){
		PS.glyph(0,15,"►");
		PS.glyphColor(0,15,PS.COLOR_BLACK);	
	}
	if(data== "properDefWalls"){
		PS.glyph(0,16,"►");
		PS.glyphColor(0,16,PS.COLOR_BLACK);	
	}
	if(data== "Thankgods"){
		PS.glyph(0,15,"►");
		PS.glyphColor(0,15,PS.COLOR_BLACK);	
	}
	if(data== "Laughgods"){
		PS.glyph(0,16,"►");
		PS.glyphColor(0,16,PS.COLOR_BLACK);	
	}

};



PS.exit = function( x, y, data, options ) {
	"use strict";

	// Uncomment the following line to inspect parameters
	// PS.debug( "PS.exit() @ " + x + ", " + y + "\n" );

	// Add code here for when the mouse cursor/touch exits a bead
	if (data == "dragon"){
		PS.applyRect(1,18, 7,2, PS.alpha, 255);

	}
	if (data == "rider")
	{
		PS.applyRect(9,18, 7,2, PS.alpha, 255);

	}
	if( data == "wall"){
		PS.applyRect(17,18, 7,2, PS.alpha, 255);

	}
	if(data == "stageadvance"){
		Erase(9,16);
		PS.color(9,16,colors.textbckgrnd);
	}
	if(data== "leveladvance"){
		Erase(9,16);
		PS.color(9,16,colors.textbckgrnd);
	}
	if(data== "restart"){
		Erase(9,16);
		PS.color(9,16,colors.textbckgrnd);
	}
	if(data== "submit"){
		Erase(0,15);
		PS.color(0,15,colors.textbckgrnd);
	}
	if(data== "fightoff"){
		Erase(0,16);
		PS.color(0,16,colors.textbckgrnd);	
	}
	if(data== "stormFortify"){
		Erase(0,15);
		PS.color(0,15,colors.textbckgrnd);	
	}
	if(data== "stormCower"){
	Erase(0,16);
		PS.color(0,16,colors.textbckgrnd);	
	}
	if(data== "diseasesFindCause"){
		Erase(0,15);
		PS.color(0,15,colors.textbckgrnd);
	}
	if(data== "diseasesIgnore"){
	Erase(0,16);
		PS.color(0,16,colors.textbckgrnd);	
	}
	if(data== "dragonRiotsCalm"){
		Erase(0,15);
		PS.color(0,15,colors.textbckgrnd);
	}
	if(data== "dragonRiotsWait"){
		Erase(0,16);
		PS.color(0,16,colors.textbckgrnd);		
	}
	if(data== "assassinCluesNow"){
		Erase(0,15);
		PS.color(0,15,colors.textbckgrnd);
	}
	if(data== "assassinCluesLater"){
		Erase(0,16);
		PS.color(0,16,colors.textbckgrnd);	
	}
	if(data== "riderRecruitYes"){
		Erase(0,15);
		PS.color(0,15,colors.textbckgrnd);	
	}
	if(data== "riderRecruitNo"){
		Erase(0,16);
		PS.color(0,16,colors.textbckgrnd);	
	}
	if(data== "dragonHatchImpress"){
		Erase(0,15);
		PS.color(0,15,colors.textbckgrnd);	
	}
	if(data== "dragonHatchRun"){
		Erase(0,16);
		PS.color(0,16,colors.textbckgrnd);	
	}
	if(data== "EnginneersBuild"){
		Erase(0,15);
		PS.color(0,15,colors.textbckgrnd);
	}
	if(data== "EnginneersNo"){
		Erase(0,16);
		PS.color(0,16,colors.textbckgrnd);	
	}
	if(data== "properDefRiders"){
		Erase(0,15);
		PS.color(0,15,colors.textbckgrnd);
	}
	if(data== "properDefWalls"){
		Erase(0,16);
		PS.color(0,16,colors.textbckgrnd);	
	}
	if(data== "Thankgods"){
		Erase(0,15);
		PS.color(0,15,colors.textbckgrnd);	
	}
	if(data== "Laughgods"){
		Erase(0,16);
		PS.color(0,16,colors.textbckgrnd);	
	}
};


PS.exitGrid = function( options ) {
	"use strict";

	// Uncomment the following line to verify operation
	// PS.debug( "PS.exitGrid() called\n" );

	// Add code here for when the mouse cursor/touch moves off the grid
};


PS.keyDown = function( key, shift, ctrl, options ) {
	"use strict";

	// Uncomment the following line to inspect parameters
		//PS.debug( "DOWN: key = " + key + ", shift = " + shift + "\n" );

	// Add code here for when a key is pressed
};



PS.keyUp = function( key, shift, ctrl, options ) {
	"use strict";

	// Uncomment the following line to inspect parameters
	// PS.debug( "PS.keyUp(): key = " + key + ", shift = " + shift + ", ctrl = " + ctrl + "\n" );

	// Add code here for when a key is released
};



PS.input = function( sensors, options ) {
	"use strict";

	// Uncomment the following block to inspect parameters
	/*
	PS.debug( "PS.input() called\n" );
	var device = sensors.wheel; // check for scroll wheel
	if ( device )
	{
		PS.debug( "sensors.wheel = " + device + "\n" );
	}
	*/
	
	// Add code here for when an input event is detected
};


var dragonText1 = {
	message: "Dragons",
	color: text.color,
	data: "dragon",
}
var dragonPrice = {
	message: dragon.cost + " AP",
	color: text.color,
	data: "dragon",
}

var wallText = {
	message: "Walls",
	color: text.color,
	data: "wall",
}
var wallPrice = {
	message: wall.cost + " AP",
	color: text.color,
	data: "wall",
}


var riderText = {
	message: "Riders",
	color: text.color,
	data: "rider",
}
var riderPrice = {
	message: rider.cost + " AP",
	color: text.color,
	data: "rider",

}

var countdown = {
	message: "DAY",
	color: text.color,
}
var reserves = {
	message: "AP",
	color: text.color,
}
var Dragnumb = {
	message: "Drgns",
	color: text.color,
}
var Ridenumb = {
	message: "Rider",
	color: text.color,
}
var Wallnumb = {
	message: "Walls",
	color: text.color,
}


function PrintText(x, y, text){
	var length = text.message.length;
	for (var i = 0; i < length; ++i){
		if (x+i < game.x){
			PS.glyph(x+i, y, text.message[i]);
			PS.glyphColor(x+i, y, text.color);
			PS.data(x+i, y, text.data);
		}
	}
}

function dragonButton(x,y){
	PS.applyRect(x,y, 7,2, PS.color, colors.buttons);
	PS.applyRect(x,y, 7,2, PS.data, "dragon");
}

function riderButton(x,y){
	PS.applyRect(x,y, 7,2, PS.color, colors.buttons);
	PS.applyRect(x,y, 7,2, PS.data, "rider");
}

function wallButton(x,y){
	PS.applyRect(x,y, 7,2, PS.color, colors.buttons);
	PS.applyRect(x,y, 7,2, PS.data, "wall");
}

function wallSetup(x,y){
	PS.color(x,y,colors.uiborder);
}


function dayDisplay(x,y){
	var tx = Math.floor(game.counter / 100);
	var ty = Math.floor(game.counter / 10) - (tx * 10);
	var tz = game.counter % 10;

	PS.glyph(x,y,tx.toString());
	PS.glyph(x+1,y,ty.toString());
	PS.glyph(x+2,y,tz.toString());
}
function APDisplay(x,y){
	var gy = Math.floor(game.AP / 10)
	var gz = game.AP % 10;

	PS.glyph(x,y,gy.toString());
	PS.glyph(x+1,y,gz.toString());
}

function dragonDisplay(x,y){
	var dx = Math.floor(dragon.count / 100);
	var dy = Math.floor(dragon.count / 10) - (dx * 10);
	var dz = dragon.count % 10;

	PS.glyph(x,y,dx.toString());
	PS.glyph(x+1,y,dy.toString());
	PS.glyph(x+2,y,dz.toString());
}
function riderDisplay(x,y){
	var dx = Math.floor(rider.count / 100);
	var dy = Math.floor(rider.count / 10) - (dx * 10);
	var dz = rider.count % 10;

	PS.glyph(x,y,dx.toString());
	PS.glyph(x+1,y,dy.toString());
	PS.glyph(x+2,y,dz.toString());
}
function wallDisplay(x,y){
	var dx = Math.floor(wall.count / 100);
	var dy = Math.floor(wall.count / 10) - (dx * 10);
	var dz = wall.count % 10;

	PS.glyph(x,y,dx.toString());
	PS.glyph(x+1,y,dy.toString());
	PS.glyph(x+2,y,dz.toString());
}

function placeUI(){
	// BORDERS
	placeWall();

	// BUTTONS

	dragonButton(1,18);
	PrintText(1,18,dragonText1);
	PrintText(4,19,dragonPrice);

	riderButton(9,18);
	PrintText(9,18,riderText);
	PrintText(12,19, riderPrice);

	wallButton(17,18);
	PrintText(17,18,wallText);
	PrintText(20,19,wallPrice);

	//MONEYS
	PrintText(1,2,reserves);
	APDisplay(2,3);

	// STATS
	PrintText(19,1,Wallnumb);
	wallDisplay(20,2);

	PrintText(13,1,Ridenumb);
	riderDisplay(14,2);

	PrintText(7,1,Dragnumb);
	dragonDisplay(8,2);

}

var stage1a = {
	message: "The rival clan of Ester",
}
var stage1b = {
	message: "has come for your land.",
}
var stage1c = {
	message: "You can choose to",
}
var stage1d = {
	message: "recruit dragons, riders,",
}
var stage1e = {
	message: "build walls, or a combo",
}
var stage1f = {
	message: "of both.",
}
var stage1g = {
	message: "What do you do?",
}
var stage1h = {
	message: "",
}



var stage02a = {
	message: "You have choosen your",
}
var stage02b = {
	message: "forces.",
}
var stage02c = {
	message: "Click continue to begin.",
}

var stageAdvance = {
	message: "CONTINUE",
	data: "stageadvance",
}
var levelAdvance = {
	message: "CONTINUE",
	data: "leveladvance",
}

var stage1EndwallsA = {
	message: "Your keep is barren and"
}
var stage1EndwallsB = {
	message: "empty, but the Estarians"
}
var stage1EndwallsC = {
	message: "kill themselves upon"
}
var stage1EndwallsD = {
	message: "your walls. You lose two"
}
var stage1EndwallsE = {
	message: "of your walls, and go"
}
var stage1EndwallsF = {
	message: "slightly insane with the"
}
var stage1EndwallsG = {
	message: "smell."
}
function placeWall(){

	wallSetup( 0, 20);
	wallSetup( 1, 20);
	wallSetup( 2, 20);
	wallSetup( 3, 20);
	wallSetup( 4, 20);
	wallSetup( 5, 20);
	wallSetup( 6, 20);
	wallSetup( 7, 20);
	wallSetup( 8, 20);
	wallSetup( 9, 20);
	wallSetup( 10, 20);
	wallSetup( 11, 20);
	wallSetup( 12, 20);
	wallSetup( 13, 20);
	wallSetup( 14, 20);
	wallSetup( 15, 20);
	wallSetup( 17, 20);
	wallSetup( 16, 20);
	wallSetup( 18, 20);
	wallSetup( 19, 20);
	wallSetup( 20, 20);
	wallSetup( 21, 20);
	wallSetup( 22, 20);
	wallSetup( 23, 20);
	wallSetup( 0, 19);
	wallSetup( 0, 18);
	wallSetup( 0, 17);
	wallSetup( 1, 17);
	wallSetup( 2, 17);
	wallSetup( 3, 17);
	wallSetup( 4, 17);
	wallSetup( 5, 17);
	wallSetup( 6, 17);
	wallSetup( 7, 17);
	wallSetup( 8, 17);
	wallSetup( 10, 17);
	wallSetup( 9, 17);
	wallSetup( 11, 17);
	wallSetup( 12, 17);
	wallSetup( 14, 17);
	wallSetup( 13, 17);
	wallSetup( 15, 17);
	wallSetup( 17, 17);
	wallSetup( 16, 17);
	wallSetup( 18, 17);
	wallSetup( 19, 17);
	wallSetup( 20, 17);
	wallSetup( 21, 17);
	wallSetup( 22, 17);
	wallSetup( 23, 17);
	wallSetup( 24, 17);
	wallSetup( 24, 18);
	wallSetup( 24, 19);
	wallSetup(24,20);
	wallSetup( 0, 0);
	wallSetup( 1, 0);
	wallSetup( 2, 0);
	wallSetup( 3, 0);
	wallSetup( 4, 0);
	wallSetup( 5, 0);
	wallSetup( 6, 0);
	wallSetup( 7, 0);
	wallSetup( 8, 0);
	wallSetup( 9, 0);
	wallSetup( 10, 0);
	wallSetup( 11, 0);
	wallSetup( 12, 0);
	wallSetup( 13, 0);
	wallSetup( 14, 0);
	wallSetup( 15, 0);
	wallSetup( 16, 0);
	wallSetup( 17, 0);
	wallSetup( 18, 0);
	wallSetup( 19, 0);
	wallSetup( 20, 0);
	wallSetup( 21, 0);
	wallSetup( 22, 0);
	wallSetup( 23, 0);
	wallSetup( 24, 0);

	wallSetup( 0, 1);
	wallSetup( 0, 2);
	wallSetup( 0, 3);
	wallSetup( 0, 4);
	wallSetup( 5, 4);
	wallSetup( 5, 3);
	wallSetup( 5, 2);
	wallSetup( 5, 1);

	wallSetup( 0, 5);
	wallSetup( 5, 5);


	wallSetup( 10, 5);
	wallSetup( 11, 5);
	wallSetup( 12, 5);
	wallSetup( 13, 5);
	wallSetup( 14, 5);
	wallSetup( 15, 5);
	wallSetup( 16, 5);
	wallSetup( 17, 5);
	wallSetup( 18, 5);
	wallSetup( 19, 5);
	wallSetup( 20, 5);

	wallSetup( 6, 5);
	wallSetup( 7, 5);
	wallSetup( 8, 5);

	wallSetup( 9, 5);
	wallSetup( 21, 5);
	wallSetup( 22, 5);
	wallSetup( 23, 5);
	wallSetup( 24, 5);
	wallSetup( 24, 4);
	wallSetup( 24, 3);
	wallSetup( 24, 2);
	wallSetup( 24, 0);
	wallSetup( 24, 1);

	wallSetup(1, 5);
	wallSetup(2, 5);
	wallSetup(3, 5);
	wallSetup(4, 5);
	wallSetup(6, 3);
	wallSetup(7, 3);
	wallSetup(8, 3);
	wallSetup(9, 3);
	wallSetup(10, 3);
	wallSetup(11, 3);
	wallSetup(12, 3);
	wallSetup(13, 3);
	wallSetup(14, 3);
	wallSetup(15, 3);
	wallSetup(16, 3);
	wallSetup(17, 3);
	wallSetup(18, 3);
	wallSetup(19, 3);
	wallSetup(20, 3);
	wallSetup(21, 3);
	wallSetup(22, 3);
	wallSetup(23, 3);
	wallSetup(8, 18);
	wallSetup(8, 19);
	wallSetup(16, 18);
	wallSetup(16, 19);

}

var randomScenarios = [ 'RiderRiot', 'HeavyStorm', 'Disease', 'DragonRiot', 'Assassination', 'RiderRecruit', 'DragonHatching', 'Enginneers', 'ProperTroops', 'FavorableDieties' ];

function scenarioGenerator(){
	var scenario = randomScenarios[Math.floor(Math.random()*randomScenarios.length)];
	
	if(scenario == 'RiderRiot'){
		PrintText(1,7,riderRiot1);
		PrintText(1,8,riderRiot2);
		PrintText(1,9,riderRiot3);
		PrintText(1,10,riderRiot4);
		PrintText(1,12,riderRiot5);
		PrintText(1,15,riderRiot6);
		PrintText(1,16,riderRiot7);

	}
	else if(scenario == 'HeavyStorm'){
		PrintText(1,7, HeavyStorm1);
		PrintText(1,8, HeavyStorm2);
		PrintText(1,9, HeavyStorm3);
		PrintText(1,10, HeavyStorm4);
		PrintText(1,12, HeavyStorm5);

		PrintText(1,15, HeavyStorm6);
		PrintText(1,16, HeavyStorm7);


	}
	else if(scenario == 'Disease'){
		PrintText(1,7,Diseases1);
		PrintText(1,8,Diseases2);
		PrintText(1,9,Diseases3);
		PrintText(1,10,Diseases4);
		PrintText(1,11,Diseases5);
		PrintText(1,13,Diseases6);

		PrintText(1,15,DiseasesFindCause);
		PrintText(1,16,DiseasesIgnore);

	}
	else if(scenario == 'DragonRiot'){
		PrintText(1,7,DragonRiot1);
		PrintText(1,8,DragonRiot2);
		PrintText(1,9,DragonRiot3);
		PrintText(1,10,DragonRiot4);
		PrintText(1,11,DragonRiot5);
		PrintText(1,13,DragonRiot6);

		PrintText(1,15,dragonRiotsCalm);
		PrintText(1,16,dragonRiotsWait);

	}
	else if(scenario == 'Assassination'){
		PrintText(1,7,Assassins1);
		PrintText(1,8,Assassins2);
		PrintText(1,9,Assassins3);
		PrintText(1,10,Assassins4);
		PrintText(1,11,Assassins5);
		PrintText(1,13,Assassins6);
		PrintText(1,15,Assassins7);
		PrintText(1,16,Assassins8);


	}


	else if(scenario == 'RiderRecruit'){
		PrintText(1,7, RiderRecruit1);
		PrintText(1,8, RiderRecruit2);
		PrintText(1,9, RiderRecruit3);
		PrintText(1,10, RiderRecruit4);
		PrintText(1,11, RiderRecruit5);

		PrintText(1,13, RiderRecruit6);
		PrintText(1,15, RiderRecruit7);
		PrintText(1,16, RiderRecruit8);



	}
	else if(scenario == 'DragonHatching'){

		PrintText(1,7,DragonHatching1);
		PrintText(1,8,DragonHatching2);
		PrintText(1,9,DragonHatching3);
		PrintText(1,10,DragonHatching4);
		PrintText(1,11,DragonHatching5);
		PrintText(1,13,DragonHatching6);

		PrintText(1,15,DragonHatching7);
		PrintText(1,16,DragonHatching8);



	}
	else if(scenario == 'Enginneers'){
		PrintText(1,7,Enginneers1);
		PrintText(1,8,Enginneers2);
		PrintText(1,9,Enginneers3);
		PrintText(1,10,Enginneers4);
		PrintText(1,12,Enginneers5);

		PrintText(1,15,Enginneers6);
		PrintText(1,16,Enginneers7);


	}
	else if(scenario == 'ProperTroops'){
		PrintText(1,7,ProperDefenses1);
		PrintText(1,8,ProperDefenses2);
		PrintText(1,9,ProperDefenses3);
		PrintText(1,10,ProperDefenses4);
		PrintText(1,11,ProperDefenses5);
		PrintText(1,13,ProperDefenses6);
		PrintText(1,15,ProperDefenses7);
		PrintText(1,16,ProperDefenses8);



	}
	else if(scenario == 'FavorableDieties'){
		PrintText(1,7,FavorableDieties1);
		PrintText(1,8,FavorableDieties2);
		PrintText(1,9,FavorableDieties3);
		PrintText(1,10,FavorableDieties4);
		PrintText(1,11,FavorableDieties5);
		PrintText(1,13,FavorableDieties6);
		PrintText(1,15,FavorableDieties7);
		PrintText(1,16,FavorableDieties8);


	}

}

var riderRiot1 = {
	message: "You wake up to find a",
}
var riderRiot2 = {
	message: "mutiny within your hold.",
}
var riderRiot3 = {
	message: "You can either submit or",
}
var riderRiot4 = {
	message: "fight them off.",
}
var riderRiot5 = {
	message: "What do you do?",
}
var riderRiot6 = {
	message: "Submit.",
	data: "submit",
}
var riderRiot7 = {
	message: "Fight them off.",
	data: "fightoff",
}
// You submit and admit your faults. You lose no men, and improve moral.
var riderRiotSub1 = {
	message: "You submit and admit"
}
var riderRiotSub2 = {
	message: "your faults. You lose"
}
var riderRiotSub3 = {
	message: "no men, and improve"
}
var riderRiotSub4 = {
	message: "moral."
}
var riderRiotFight1 = {
	message: "A riot breaks out, and"
}
var riderRiotFight2 = {
	message: "you lose 3 riders"
}
var riderRiotFight3 = {
	message: "and 3 dragons."
}


var HeavyStorm1 = {
	message: "A heavy storm besieges"
}
var HeavyStorm2 = {
	message: "your hold. You can try"
}
var HeavyStorm3 = {
	message: "to fortify the walls or"
}
var HeavyStorm4 = {
	message: "cower in fear.",
}
var HeavyStorm5 = {
	message: "What do you do?",
}
var HeavyStorm6 = {
	message: "Fortify the walls.",
	data: "stormFortify",
}
var HeavyStorm7 = {
	message: "Cower in fear.",
	data: "stormCower",
}

var stormForitfy1 = {
	message: "You fortify your walls"
}
var stormForitfy2 = {
	message: "and laugh as the storm"
}
var stormForitfy3 = {
	message: "tires itself out."
}
var stormForitfy4 = {
	message: "No resources are lost."
}

var stormCower1 = {
	message: "You cower in your hold"
}
var stormCower2 = {
	message: "like the scaredy"
}
var stormCower3 = {
	message: "hatchling you are."
}
var stormCower4 = {
	message: "You lose 2 walls."
}


var Diseases1 = {
	message: "Your hold comes down"
}
var Diseases2 = {
	message: "with the pox. You can"
}
var Diseases3 = {
	message: "either find the cause or"
}
var Diseases4 = {
	message: "ignore it until it goes"
}
var Diseases5 = {
	message: "away."
}

var Diseases6 = {
	message: "What do you do?"
}
var DiseasesFindCause = {
	message: "Find the cause.",
	data: "diseasesFindCause",
}
var DiseasesIgnore = {
	message: "Ignore it for now.",
	data: "diseasesIgnore",
}

var DiseaseCause1 = {
	message: "You find the pox was"
}
var DiseaseCause2 = {
	message: "caused by rats, and"
}
var DiseaseCause3 = {
	message: "exterminate them."
}
var DiseaseCause4 = {
	message: "Everyone recovers after"
}
var DiseaseCause5= {
	message: "a few days."
}

var diseasesIgnore1 = {
	message: "You ignore the problem",
}
var diseasesIgnore2 = {
	message: "and it seems to go away."
}
var diseasesIgnore3 = {
	message: "Four days later, two of"
}
var diseasesIgnore4 = {
	message: "your best riders die."
}
var diseasesIgnore5 = {
	message: "You lose 3 riders."
}

var DragonRiot1 = {
	message: "The bronze dragons"
}
var DragonRiot2 = {
	message: "attack the blues in an"
}
var DragonRiot3 = {
	message: "angry rage."
}
var DragonRiot4 = {
	message: "You can try to calm them"
}
var DragonRiot5 = {
	message: "down, or wait it out."
}
var DragonRiot6 = {
	message: "What do you do?"
}
var dragonRiotsCalm = {
	message: "Calm them down.",
	data: "dragonRiotsCalm",
}
var dragonRiotsWait = {
	message: "Let them settle it.",
	data: "dragonRiotsWait",
}


var dragonRiotsCalm1 = {
	message: "You calm the bronzes"
}
var dragonRiotsCalm2 = {
	message: "down, bargaining more"
}
var dragonRiotsCalm3 = {
	message: "hold space for them."
}
var dragonRiotsCalm4 = {
	message: "A wall gets damaged in"
}
var dragonRiotsCalm5 = {
	message: "the initial brawl, but"
}
var dragonRiotsCalm6 = {
	message: "you fare well."
}
var dragonRiotsCalm7 = {
	message: "You lose 1 wall."
}


var dragonRiotsWait1 = {
	message: "You are unable to stop"
}
var dragonRiotsWait2 = {
	message: "the brawl before it"
}
var dragonRiotsWait3 = {
	message: "begins."
}

var dragonRiotsWait4 = {
	message: "You lose 3 dragons"
}
var dragonRiotsWait5 = {
	message: "before it's under"
}
var dragonRiotsWait6 = {
	message: "control."
}

var Assassins1 = {
	message: "A scout tells you a"
}
var Assassins2 = {
	message: "general was found dead."
}
var Assassins3 = {
	message: "You can search the"
}
var Assassins4 = {
	message: "hold for clues now,"
}
var Assassins5 = {
	message: "or wait until dawn."
}
var Assassins6 = {
	message: "What do you do?"
}
var Assassins7 = {
	message: "Find clues now.",
	data: "assassinCluesNow",
}
var Assassins8 = {
	message: "Wait until dawn.",
	data: "assassinCluesLater",
}

var assassinCluesNow1 = {
	message: "You catch the assassin"
}
var assassinCluesNow2 = {
	message: "in the act of killing"
}
var assassinCluesNow3 = {
	message: "his next target and"
}
var assassinCluesNow4 = {
	message: "prevent further killings."
}
var assassinCluesNow5 = {
	message: "You lose 1 rider."
}
var assassinCluesLater1 = {
	message: "You are too slow to"
}
var assassinCluesLater2= {
	message: "respond and two more die"
}
var assassinCluesLater3= {
	message: "before the assassin is"
}
var assassinCluesLater4= {
	message: "caught."
}
var assassinCluesLater5= {
	message: "You lose 3 riders."
}


var RiderRecruit1 = {
	message: "A small group of riders"
}
var RiderRecruit2 = {
	message: "comes to your hold to be"
}
var RiderRecruit3 = {
	message: "recruited. You can"
}
var RiderRecruit4 = {
	message: "accept their offer"
}
var RiderRecruit5 = {
	message: "or deny them shelter."
}
var RiderRecruit6 = {
	message: "What do you do?"
}
var RiderRecruit7 = {
	message: "Recruit them.",
	data: "riderRecruitYes",
}
var RiderRecruit8 = {
	message: "Deny them space.",
	data: "riderRecruitNo",
}


var riderRecruitYes1 = {
	message: "You graciously accept"
}
var riderRecruitYes2 = {
	message: "their offer and welcome them into the hold. You gain 3 riders."
}
var riderRecruitYes3 = {
	message: "them into the hold."
}
var riderRecruitYes4 = {
	message: "You gain 3 riders."
}

var riderRecruitNo1 = {
	message: "You deny them shelter"
}
var riderRecruitNo2 = {
	message: "and recruitment, stating"
}
var riderRecruitNo3 = {
	message: "they are not worthy of"
}
var riderRecruitNo4 = {
	message: "your hold."
}
var riderRecruitNo5 = {
	message: "They leave dejected."
}

var DragonHatching1 = {
	message: "Your latest clutches"
}
var DragonHatching2 = {
	message: "have hatched! You can"
}
var DragonHatching3 = {
	message: "try impressing them on"
}
var DragonHatching4 = {
	message: "your hold brats, or let"
}
var DragonHatching5 = {
	message: "them run free inside."
}
var DragonHatching6 = {
	message: "What do you do?"
}
var DragonHatching7 = {
	message: "Try impressing them.",
	data: "dragonHatchImpress",
}
var DragonHatching8 = {
	message: "Let them run wild.",
	data: "dragonHatchRun",
}
var dragonHatchImpress1 = {
	message: "Your first hold wide"
}
var dragonHatchImpress2 = {
	message: "impression is a success."
}
var dragonHatchImpress3 = {
	message: "You gain 3 dragons."
}

var dragonHatchRun1 = {
	message: "The clutch is left to"
}
var dragonHatchRun2 = {
	message: "their own devices and"
}
var dragonHatchRun3 = {
	message: "most are stepped on or"
}
var dragonHatchRun4 = {
	message: "or killed within 2 days."
}
var dragonHatchRun5 = {
	message: "You gain no dragons."
}

var Enginneers1 = {
	message: "Some of your riders"
}
var Enginneers2 = {
	message: "want to help build. You"
}
var Enginneers3 = {
	message: "can accept their help"
}
var Enginneers4 = {
	message: "or tell them no."
}
var Enginneers5 = {
	message: "What do you do?"
}
var Enginneers6 = {
	message: "Allow them to build.",
	data: "EnginneersBuild",
}
var Enginneers7 = {
	message: "Tell them no.",
	data: "EnginneersNo",
}

var EnginneersBuild1 = {
	message: "You accept their offer"
}
var EnginneersBuild2 = {
	message: "and find stronger walls."
}
var EnginneersBuild3 = {
	message: "fashioned in two days."
}
var EnginneersBuild4 = {
	message: "You gain 3 walls."
}
var EnginneersNo1 = {
	message: "No, you say, riders are"
}
var EnginneersNo2 = {
	message: "riders and that is how"
}
var EnginneersNo3 = {
	message: "it will stay."
}
var EnginneersNo4 = {
	message: "Your walls do not get"
}
var EnginneersNo5 = {
	message: "fortified."
}

var ProperDefenses1 = {
	message: "Your defenses are strong"
}
var ProperDefenses2 = {
	message: "and ample riders want"
}
var ProperDefenses3 = {
	message: "training. You only have"
}
var ProperDefenses4 = {
	message: "time to train riders"
}
var ProperDefenses5 = {
	message: "or build walls."
}
var ProperDefenses6 = {
	message: "What do you do?"
}
var ProperDefenses7 = {
	message: "Train more riders.",
	data: "properDefRiders",
}
var ProperDefenses8 = {
	message: "Build more walls.",
	data: "properDefWalls",
}

var properDefRiders1 = {
	message: "You've trained more"
}
var properDefRiders2 = {
	message: "riders at the expense of"
}
var properDefRiders3 = {
	message: "your walls."
}
var properDefRiders4 = {
	message: "You gain 3 riders."
}

var properDefWalls1 = {
	message: "Why have strong forces"
}
var properDefWalls2 = {
	message: "when you don't have"
}
var properDefWalls3 = {
	message: "strong walls? You build"
}
var properDefWalls4 = {
	message: "more walls instead."
}
var properDefWalls5 = {
	message: "You gain 3 walls."
}

var FavorableDieties1 = {
	message: "The dragon deities favor"
}
var FavorableDieties2 = {
	message: "your keep in this coming"
}
var FavorableDieties3 = {
	message: "battle! You can thank"
}
var FavorableDieties4 = {
	message: "them or laugh at the"
}
var FavorableDieties5 = {
	message: "idea of them."
}
var FavorableDieties6 = {
	message: "What do you do?"
}
var FavorableDieties7 = {
	message: "Thank the deites.",
	data: "Thankgods",
}
var FavorableDieties8 = {
	message: "Laugh at them.",
	data: "Laughgods",
}

var Thankgods1 = {
	message: "You thank the deities"
}
var Thankgods2 = {
	message: "for their favor and find"
}
var Thankgods3 = {
	message: "all of your forces"
}
var Thankgods4 = {
	message: "bolstered."
}
var Thankgods5 = {
	message: "You gain 1 of all your"
}
var Thankgods6 = {
	message: "forces."
}

var Laughgods1 = {
	message: "You laugh at the notion of"
}
var Laughgods2 = {
	message: "deities. Moral drops and you become known as the Grounded One."
}
var Laughgods3 = {
	message: "you become known as the"
}
var Laughgods4 = {
	message: "Grounded One."
}
var Laughgods5 = {
	message: "You gain nothing."
}


var TS1 = {
	message: "Keep siege!"
}

var TS2 = {
	message: "Defend your keep"
}
var TS2o2 = {
	message: "from warring holds!"
}
var TS2o3 = {
	message: "1. Pick your units"
}
var TS2o4 = {
	message: "at the start of each"
}
var TS2o5 = {
	message: "siege."
}
var TS3 = {
	message: "2. As you progress"
}
var TS3o2 = {
	message: "events will appear"
}
var TS3o3 = {
	message: "to help or hinder"
}
var TS3o4 = {
	message: "your defenses."
}
var TS4 = {
	message: "3. Press CONTINUE"
}
var TS4o2 = {
	message: "to advance the game."
}
var TS4o3 = {
	message: "to move through the game."
}


var stage1Enddragons1 = {
	message: "Three days before Ester"
}
var stage1Enddragons2 = {
	message: "arrives, your two"
}
var stage1Enddragons3 = {
	message: "biggest males begin"
}
var stage1Enddragons4 = {
	message: "fighting. You lose half"
}
var stage1Enddragons5 = {
	message: "your dragons in the"
}
var stage1Enddragons6 = {
	message: "blood bath, and only"
}
var stage1Enddragons7 = {
	message: "barely survive the siege."
}

var stage1Endriders1 = {
	message: "You run out of space."
}
var stage1Endriders2 = {
	message: "Ester's forces slaughter"
}
var stage1Endriders3 = {
	message: "the men stuck outside"
}
var stage1Endriders4 = {
	message: "but you're given two"
}
var stage1Endriders5 = {
	message: "days to prepare for"
}
var stage1Endriders6 = {
	message: "battle. You lose a third"
}
var stage1Endriders7 = {
	message: "of your men."
}

var stage1EndNothing1 = {
	message: "You deny the foe's"
}
var stage1EndNothing2 = {
	message: "existence entirely and"
}
var stage1EndNothing3 = {
	message: "do not get prepared."
}
var stage1EndNothing4 = {
	message: "Their forces over run"
}
var stage1EndNothing5 = {
	message: "your hold and slaughter"
}
var stage1EndNothing6 = {
	message: "everyone, including"
}
var stage1EndNothing7 = {
	message: "yourself."
}

var stage1EndElse1 = {
	message: "Your keep is fortified"
}
var stage1EndElse2 = {
	message: "well, you have enough"
}
var stage1EndElse3 = {
	message: "space for everyone, and"
}
var stage1EndElse4 = {
	message: "you're generally in good"
}
var stage1EndElse5 = {
	message: "spirits. Ester's forces"
}
var stage1EndElse6 = {
	message: "arrive and you over"
}
var stage1EndElse7 = {
	message: "power them."
}
var stage1EndElse8 = {
	message: "No units are lost."
}


function stage1End(){
	var units;
	drawBoard();
	// endings with only one unit choosen
	if(wall.count >= 8){
		PrintText(1,7,stage1EndwallsA);
		PrintText(1,8,stage1EndwallsB);
		PrintText(1,9,stage1EndwallsC);
		PrintText(1,10,stage1EndwallsD);
		PrintText(1,11,stage1EndwallsE);
		PrintText(1,12,stage1EndwallsF);
		PrintText(1,13,stage1EndwallsG);
		wall.count -= 2;
		gameWin();
		PS.audioPlay("fx_tada");

		PrintText(10,16,levelAdvance);
	}
	else if(dragon.count >= 8){
		PrintText(1,7,stage1Enddragons1);
		PrintText(1,8,stage1Enddragons2);
		PrintText(1,9,stage1Enddragons3);
		PrintText(1,10,stage1Enddragons4);
		PrintText(1,11,stage1Enddragons5);
		PrintText(1,12,stage1Enddragons6);
		PrintText(1,13,stage1Enddragons7);

		dragon.count = (dragon.count / 2);
		PrintText(10,16,levelAdvance);
		gameWin();
		PS.audioPlay("fx_tada");


	}
	else if(rider.count >= 8){
		PrintText(1,7,stage1Endriders1);
		PrintText(1,8,stage1Endriders2);
		PrintText(1,9,stage1Endriders3);
		PrintText(1,10,stage1Endriders4);
		PrintText(1,11,stage1Endriders5);
		PrintText(1,12,stage1Endriders6);
		PrintText(1,13,stage1Endriders7);

		rider.count = (rider.count / 3);
		PrintText(10,16,levelAdvance);
		gameWin();
		PS.audioPlay("fx_tada");

	}
	// ending if nothing done
	else if(dragon.count == 0 && wall.count == 0 && rider.count == 0){
		PrintText(1,7,stage1EndNothing1);
		PrintText(1,8,stage1EndNothing2);
		PrintText(1,9,stage1EndNothing3);
		PrintText(1,10,stage1EndNothing4);
		PrintText(1,11,stage1EndNothing5);
		PrintText(1,12,stage1EndNothing6);
		PrintText(1,13,stage1EndNothing7);
		gameOver();
		PrintText(10,16,restart);
		PS.audioPlay("fx_wilhelm");

	}
	// all other cases
	else{
		PrintText(1,7,stage1EndElse1);
		PrintText(1,8,stage1EndElse2);
		PrintText(1,9,stage1EndElse3);
		PrintText(1,10,stage1EndElse4);
		PrintText(1,11,stage1EndElse5);
		PrintText(1,12,stage1EndElse6);
		PrintText(1,13,stage1EndElse7);
		PrintText(1,15,stage1EndElse8);

		PrintText(10,16,levelAdvance);
		gameWin();
		PS.audioPlay("fx_tada");
	}
}

function stage0_1(){
	drawBoard();

	PrintText(1,7,stage1a);
	PrintText(1,8,stage1b);
	PrintText(1,10,stage1c);
	PrintText(1,11,stage1d);
	PrintText(1,12,stage1e);
	PrintText(1,13,stage1f);
	PrintText(1,15,stage1g);
	PrintText(1,16,stage1h);

	PrintText(10,16,stageAdvance);
}

function stage0_2(){
	drawBoard();

	PrintText(1,7,stage02a);
	PrintText(1,8,stage02b);
	PrintText(1,10,stage02c);
}

function APpointgateLv(){
	if(game.AP >= 1){

	}
else
	{
		PrintText(10,16,levelAdvance);
	}

}
function APpointgateSt(){
	if(game.AP >= 1){

	}
else
	{
		PrintText(10,16,stageAdvance);
	}

}
function tutorialText(){
	PS.statusText("Keep Siege, by Alexis Barta");
	Erase(PS.ALL,PS.ALL);
	PS.color(PS.ALL,PS.ALL,colors.textbckgrnd);
	PS.color(PS.ALL,0,colors.uiborder);
	PS.color(PS.ALL,20,colors.uiborder);
	PS.color(0,PS.ALL,colors.uiborder);
	PS.color(24,PS.ALL,colors.uiborder);
	PS.applyRect(2,6,21,13,PS.color,colors.buttons);
	PS.applyRect(7,3,10,1,PS.color,colors.buttons);
	PrintText(7,1, TS1);
	PrintText(7,3,startgame);
	PrintText(3,6, TS2o3);
	PrintText(3,7, TS2o4);
	PrintText(3,8, TS2o5);
	PrintText(3,10, TS3);
	PrintText(3,11, TS3o2);
	PrintText(3,12, TS3o3);
	PrintText(3,13, TS3o4);
	PrintText(3,15, TS4);
	PrintText(3,16, TS4o2);
}	

function titleScreenText(){
	Erase(PS.ALL,PS.ALL);
	PS.color(PS.ALL,PS.ALL,colors.textbckgrnd);
	PS.color(PS.ALL,0,colors.uiborder);
	PS.color(PS.ALL,20,colors.uiborder);
	PS.color(0,PS.ALL,colors.uiborder);
	PS.color(24,PS.ALL,colors.uiborder);
	PS.applyRect(6,8,11,3,PS.color,colors.buttons);
	PrintText(7,2, TS1);
	PrintText(4,4, TS2);
	PrintText(3,5, TS2o2);
	PrintText(6,8,startgame);
	PrintText(6,10,howtoplay);

}

function titleScreen(){
	PS.statusText("Keep Siege, by Alexis Barta");
	Erase(PS.ALL,PS.ALL);
	game.x = 25;
	game.y = 21;
	PS.gridSize(game.x,game.y);
	PS.border(PS.ALL,PS.ALL,0);
}

var startgame = {
	message: "START GAME",
	data: "startgame",
}
var howtoplay = {
	message: "HOW TO PLAY",
	data: "tutorial",
}
function stage1_1(){
	Erase(PS.ALL,PS.ALL);
	drawBoard();
	scenarioGenerator();
}
function stage1_2(){
	Erase(PS.ALL,PS.ALL);
	drawBoard();
	scenarioGenerator();
}
function stage1_3(){
	Erase(PS.ALL,PS.ALL);
	drawBoard();
	scenarioGenerator();

}
function stage1_4(){
	Erase(PS.ALL,PS.ALL);
	drawBoard();
	scenarioGenerator();

}
function stage1_5(){
	Erase(PS.ALL,PS.ALL);
	drawBoard();
	scenarioGenerator();

}

function stage2_1(){
	drawBoard();
	PrintText(1, 7, level2Start1);
	PrintText(1, 8, level2Start2);
	PrintText(1, 9, level2Start3);
	PrintText(1, 11, level2Start4);

}

function stage2_2(){
	Erase(PS.ALL,PS.ALL);
	drawBoard();
	scenarioGenerator();

}
function stage2_3(){
	Erase(PS.ALL,PS.ALL);
	drawBoard();
	scenarioGenerator();

}
function stage2_4(){
	Erase(PS.ALL,PS.ALL);
	drawBoard();
	scenarioGenerator();

}
function stage2_5(){
	Erase(PS.ALL,PS.ALL);
	drawBoard();
	scenarioGenerator();

}
function stage2_6(){
	Erase(PS.ALL,PS.ALL);
	drawBoard();
	scenarioGenerator();

}

var level2Start1 = {
	message: "Weeks pass until another"
 }
var level2Start2 = {
	message: "keep comes for your land"
}
var level2Start3 = {
	message: "this time the Asurans."
}
var level2Start4 = {
	message: "Bolster your defenses!"
}


var stage2EndWalls1 = {
	message: "The Ashurans prove to"
}
var stage2EndWalls2 = {
	message: "have strong siege"
}
var stage2EndWalls3 = {
	message: "weaponry. You take heavy"
}
var stage2EndWalls4 = {
	message: "damage, but find their"
}
var stage2EndWalls5 = {
	message: "troops to be lack"
}
var stage2EndWalls6 = {
	message: "luster."
}

var stage2Enddragon1 = {
	message: "The Ashuran army is"
}
var stage2Enddragon2 = {
	message: "overwhelmed by your"
}
var stage2Enddragon3 = {
	message: "dragons and are burnt"
}
var stage2Enddragon4 = {
	message: "to a crisp. Your dragons"
}
var stage2Enddragon5 = {
	message: "eat them for lunch."
}

var stage2endrider1 = {
	message: "An Ashuran wizard gains control of half your men. You survive, barely, and go even more insane from the smell."
}
var stage2endrider2 = {
	message: "control of half your men. You survive, barely, and go even more insane from the smell."
}
var stage2endrider3 = {
	message: "You survive, barely, and go even more insane from the smell."
}
var stage2endrider4 = {
	message: "go more insane from the smell."
}
var stage2endrider5 = {
	message: "smell."
}
var stage2endelse1 = {
	message: "You and the Ashuran"
}
var stage2endelse2 = {
	message: "clash. You trade blow"
}
var stage2endelse3 = {
	message: "for blow until you slip up. One distracted look, and your head rolls on the ground. The Ashurans conquer you and your keep."
}
var stage2endelse4 = {
	message: "up. One distracted look, and your head rolls on the ground. The Ashurans conquer you and your keep."
}
var stage2endelse5 = {
	message: "and your head rolls on"
}
var stage2endelse6 = {
	message: "the ground. The Ashurans conquer you and your keep."
}
var stage2endelse7 = {
	message: "conquer you and your"
}
var stage2endelse8 = {
	message: "keep."
}
